<?php

namespace Litecms\Bountysystem;

use User;

class Bountysystem
{
    /**
     * $bountysystem object.
     */
    protected $bountysystem;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Bountysystem\Interfaces\BountysystemRepositoryInterface $bountysystem)
    {
        $this->bountysystem = $bountysystem;
    }

    /**
     * Returns count of bountysystem.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bountysystem.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bountysystem->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\BountysystemUserCriteria());
        }

        $bountysystem = $this->bountysystem->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bountysystem::' . $view, compact('bountysystem'))->render();
    }
}
