<?php

namespace Litecms\Bountysystem\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BountysystemTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Bountysystem\Models\Bountysystem $bountysystem)
    {
        return [
            'id'                => $bountysystem->getRouteKey(),
            'key'               => [
                'public'    => $bountysystem->getPublicKey(),
                'route'     => $bountysystem->getRouteKey(),
            ], 
            'bountybonus'       => $bountysystem->bountybonus,
            'image'             => $bountysystem->image,
            'socialurl'         => $bountysystem->socialurl,
            'url'               => [
                'public'    => trans_url('bountysystem/'.$bountysystem->getPublicKey()),
                'user'      => guard_url('bountysystem/bountysystem/'.$bountysystem->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bountysystem->status),
            'created_at'        => format_date($bountysystem->created_at),
            'updated_at'        => format_date($bountysystem->updated_at),
        ];
    }
}